
TYPO3.Flow - Bug # 28672

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: Configuration
Created: 2011-08-02 Assigned To: Christian Jul Jensen
Updated: 2012-11-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Inconsistent configuration overrides for packages
Description

If one package overrides configuration of another package the result is not deterministic right now. The order of the loaded packages
(from scanning the package paths, not the PackageStates.php) determines the order of the configuration.

We need to find a solution for this problem to always have a reliable and deterministic configuration.

Related issues:
related to TYPO3.Flow - Bug # 28213: Sites Configuration should overrule pack... Resolved 2011-07-14
related to TYPO3.Setup - Task # 42730: Importing Sitepackage or creating and ... Resolved 2012-11-06

Associated revisions
Revision f9100b04 - 2012-11-28 08:34 - Christian Jul Jensen

[BUGFIX] Package loading must be ordered by dependencies

In order to ensure proper merging of configurations packages most
be loaded ordered by dependencies.

This should be handled by ordering PackageStates accordingly.

Change-Id: If139b85d24fab47cad5b10155e2ec640ee829f67
Fixes: #42730
Fixes: #28672
Releases: 1.2

History
#1 - 2011-08-02 13:42 - Bastian Waidelich
- Category set to Configuration

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-11-07 11:38 - Karsten Dambekalns
- Assigned To set to Christian Jul Jensen
- Has patch set to No

Julle, this is related to the current issue(s)…
#4 - 2012-11-21 14:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#5 - 2012-11-28 07:17 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#6 - 2012-11-28 08:34 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#7 - 2012-11-28 12:35 - Christian Jul Jensen
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f9100b04ec5e7388a358bfa5540f6752b66b7a3d.
